Bug 1338021 - plugin packages duplicated break depsolving
Summary: plugin packages duplicated break depsolving
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker-latest
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lokesh Mandvekar
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-20 18:37 UTC by Colin Walters
Modified: 2016-06-23 16:20 UTC (History)
3 users (show)

Fixed In Version: docker-latest-1.10.3-24.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-23 16:20:04 UTC
Target Upstream Version:


Attachments (Terms of Use)
include dist tag in docker_rel macro (1.57 KB, patch)
2016-05-25 21:35 UTC, Jonathan Lebon
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1275 0 normal SHIPPED_LIVE docker-latest bugfix update 2016-06-23 20:12:35 UTC

Description Colin Walters 2016-05-20 18:37:31 UTC
Currently both docker-latest and docker generate docker-*-plugin, and further more have exact ENVR requirements.

This breaks if the ENVR between docker and docker-latest is different:

rpm-ostree compose tree --repo=repo --proxy=http://127.0.0.1:8123 spin-kickstarts/rhel7/atomic-tree/rhel-atomic-host-7.2.json
Previous commit: 9a09038a252f5a2765a259fbe5a6adf0229e31ebe5aa7d6380fbf2dd0a563fe6

Downloading metadata: [===================================================================================================================================================================================================================================] 100% 
Resolving dependencies: failed
error: Could not depsolve transaction; 1 problem detected:
0. package docker-latest-1.10.3-22.el7.x86_64 requires docker-rhel-push-plugin = 1.10.3-22.el7, but none of the providers can be installed


Anyways it's just kind of broken to have them both produce packages with the same name.

I suggest:
  - Make docker-latest Requires: docker
  - Drop the plugins from docker-latest

Comment 1 Lokesh Mandvekar 2016-05-20 18:39:23 UTC
Even if we don't bump versions in docker-latest, we should release an update with the fix for this. Thanks Colin.

Comment 2 Lokesh Mandvekar 2016-05-20 18:51:37 UTC
(In reply to Colin Walters from comment #0)
> 
> I suggest:
>   - Make docker-latest Requires: docker

Requires: docker-rhel-push-plugin = %{docker_ver}-%{docker_rel} (whatever NVR the 'docker' package will have).

This and other plugins will be of course be provided as subpackages from the 'docker' package.

>   - Drop the plugins from docker-latest

Yes

Comment 5 Jonathan Lebon 2016-05-25 21:34:35 UTC
There is still an issue here with the docker_rel macro. This patch fixed it for me.

Comment 6 Jonathan Lebon 2016-05-25 21:35:14 UTC
Created attachment 1161634 [details]
include dist tag in docker_rel macro

Comment 7 Jonathan Lebon 2016-05-25 21:37:47 UTC
Huh, bugzilla is not letting me see the actual commit msg. Recopying here:

The docker_rel macro needs to include %{?dist} tag, otherwise you'll
get:

error: Could not depsolve transaction; 1 problem detected:
0. nothing provides docker-rhel-push-plugin = 1.10.3-25 needed by
docker-latest-1.10.3-24.el7.x86_64

This is because docker-latest requires
'docker-rhel-push-plugin = 1.10.3-25'
but docker-rhel-push-plugin provides
'docker-rhel-push-plugin = 1.10.3-25.el7'.

Comment 8 Lokesh Mandvekar 2016-05-26 19:45:13 UTC
(commenting for posterity)

thanks jlebon, i made it consistent with the other deps by making it >= 1.10.3-25 which seems to take care of the issue.

Comment 9 Luwen Su 2016-06-12 11:58:42 UTC
The installation works fine for me in docker-latest-1.10.3-40.el7.x86_64, both rpm and yum, move to verified

Comment 11 errata-xmlrpc 2016-06-23 16:20:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1275


Note You need to log in before you can comment on or make changes to this bug.